<?php

class CampanhasMarketingFiltros extends GxActiveRecord
{

	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public function tableName()
	{
		return 'campanhas_marketing_filtros';
	}

	public static function label($n = 1) {
        return Yii::t('app', 'Item|Items', $n);
    }

	public static function representingColumn() {
        return 'CMF_ID';
    }

	public function rules()
	{
		return array(
		);
	}

	public function relations()
	{
		return array(
			'Revenda'   				=> array(self::BELONGS_TO, 	'Revendas', 			'CMF_FOREIGN_KEY'),
			'Regiao'   					=> array(self::BELONGS_TO, 	'Regioes', 				'CMF_FOREIGN_KEY'),
			'Cidade'   					=> array(self::BELONGS_TO, 	'Cidades', 				'CMF_FOREIGN_KEY'),
			'Produto'   				=> array(self::BELONGS_TO, 	'Modulos', 				'CMF_FOREIGN_KEY'),
			'ModuloComplementar'   		=> array(self::BELONGS_TO, 	'Modulos', 				'CMF_FOREIGN_KEY'),
			'DocumentoFiscal'   		=> array(self::BELONGS_TO, 	'DocumentosFiscais', 	'CMF_FOREIGN_KEY'),
			'RamoAtividade'   			=> array(self::BELONGS_TO, 	'RamosAtividades', 		'CMF_FOREIGN_KEY'),
			'ComoConheceu'   			=> array(self::BELONGS_TO, 	'Motivos', 				'CMF_FOREIGN_KEY'),
		);
	}

	public function attributeLabels()
	{
		return array(
			'CMF_ID' 			=> 'Código',
			'CMF_IDCAMPANHA' 	=> 'Campanha',
			'CMF_MODEL' 		=> 'Modelo',
			'CMF_FOREIGN_KEY' 	=> 'Código do modelo',
		);
	}

	public function getNome()
	{
		$nome = '';
		switch ($this->CMF_MODEL) {
			case 'Revenda':
				$nome = 'Revenda';
				break;

			case 'Regiao':
				$nome = 'Região';
				break;

			case 'Cidade':
				$nome = 'Cidade';
				break;

			case 'Produto':
				$nome = 'Produto';
				break;

			case 'ModuloComplementar':
				$nome = 'Módulo Complementar';
				break;

			case 'DocumentoFiscal':
				$nome = 'Documento Fiscal';
				break;

			case 'RamoAtividade':
				$nome = 'Ramo de Atividade';
				break;

			case 'ComoConheceu':
				$nome = 'Como Conheceu';
				break;

			case 'Estado':
				$nome = 'Estado';
				break;

			case 'TipoPessoa':
				$nome = 'Tipo de Pessoa';
				break;

			case 'Status':
				$nome = 'Status do Cliente';
				break;

			case 'NivelInteresse':
				$nome = 'Nível de interesse';
				break;
		}

		if (empty($nome)) {
			$nome = $this->CMF_MODEL . ' - nome não identificado';
		}

		return $nome;
	}

	public function getValor()
	{
		$desc = '';
		switch ($this->CMF_MODEL) {
			case 'Revenda':
				$desc = $this->Revenda;
				break;

			case 'Regiao':
				$desc = $this->Regiao;
				break;

			case 'Cidade':
				$desc = $this->Cidade;
				break;

			case 'Produto':
				$desc = $this->Produto;
				break;

			case 'ModuloComplementar':
				$desc = $this->ModuloComplementar;
				break;

			case 'DocumentoFiscal':
				if($this->CMF_FOREIGN_KEY == "nenhum") {
					$desc = 'Nenhum documento fiscal cadastrado';
				} else {
					$desc = $this->DocumentoFiscal;
				}
				break;

			case 'RamoAtividade':
				$desc = $this->RamoAtividade;
				break;

			case 'ComoConheceu':
				$desc = $this->ComoConheceu;
				break;

			case 'Estado':
				$desc = $this->CMF_FOREIGN_KEY;
				break;

			case 'TipoPessoa':
				$desc = Util::getTipoPessoa($this->CMF_FOREIGN_KEY);
				break;

			case 'Status':
				$desc = Util::getStatusCliente($this->CMF_FOREIGN_KEY);
				break;

			case 'NivelInteresse':
				$desc = Util::getNivelInteresse($this->CMF_FOREIGN_KEY);
				break;
		}

		$desc = (string) $desc;

		if (empty($desc)) {
			$desc = $this->CMF_MODEL . ' - valor não identificado';
		}

		return $desc;
	}
}